<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>HSSFHyperlink (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="HSSFHyperlink (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":42,"i11":10,"i12":10,"i13":10,"i14":10,"i15":10,"i16":10,"i17":10,"i18":10,"i19":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"],32:["t6","Deprecated Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/HSSFHyperlink.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/hssf/usermodel/HSSFHeader.html"
               title="class in org.apache.poi.hssf.usermodel"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/hssf/usermodel/HSSFIconMultiStateFormatting.html"
               title="class in org.apache.poi.hssf.usermodel"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/hssf/usermodel/HSSFHyperlink.html"
               target="_top">Frames</a></li>
        <li><a href="HSSFHyperlink.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.hssf.usermodel</div>
    <h2 title="Class HSSFHyperlink" class="title">Class HSSFHyperlink</h2>
</div>
<div class="contentContainer">
    <ul class="inheritance">
        <li>java.lang.Object</li>
        <li>
            <ul class="inheritance">
                <li>org.apache.poi.hssf.usermodel.HSSFHyperlink</li>
            </ul>
        </li>
    </ul>
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <dl>
                    <dt>All Implemented Interfaces:</dt>
                    <dd><a href="../../../../../org/apache/poi/common/usermodel/Hyperlink.html"
                           title="interface in org.apache.poi.common.usermodel">Hyperlink</a></dd>
                </dl>
                <hr>
                <br>
                <pre>public class <span class="typeNameLabel">HSSFHyperlink</span>
extends java.lang.Object
implements <a href="../../../../../org/apache/poi/ss/usermodel/Hyperlink.html"
              title="interface in org.apache.poi.ss.usermodel">Hyperlink</a></pre>
                <div class="block">Represents an Excel hyperlink.</div>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- =========== FIELD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="field.summary">
                        <!--   -->
                    </a>
                        <h3>Field Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Field Summary table, listing fields, and an explanation">
                            <caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Field and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>protected <a
                                        href="../../../../../org/apache/poi/common/usermodel/HyperlinkType.html"
                                        title="enum in org.apache.poi.common.usermodel">HyperlinkType</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFHyperlink.html#link_type">link_type</a></span></code>
                                    <div class="block">If we create a new hyperlink remember its type</div>
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>protected <a
                                        href="../../../../../org/apache/poi/hssf/record/HyperlinkRecord.html"
                                        title="class in org.apache.poi.hssf.record">HyperlinkRecord</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFHyperlink.html#record">record</a></span></code>
                                    <div class="block">Low-level record object that stores the actual hyperlink data
                                    </div>
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ======== CONSTRUCTOR SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.summary">
                        <!--   -->
                    </a>
                        <h3>Constructor Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Constructor Summary table, listing constructors, and an explanation">
                            <caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier</th>
                                <th class="colLast" scope="col">Constructor and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>protected </code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFHyperlink.html#HSSFHyperlink-org.apache.poi.ss.usermodel.Hyperlink-">HSSFHyperlink</a></span>(<a
                                        href="../../../../../org/apache/poi/ss/usermodel/Hyperlink.html"
                                        title="interface in org.apache.poi.ss.usermodel">Hyperlink</a>&nbsp;other)</code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>protected </code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFHyperlink.html#HSSFHyperlink-org.apache.poi.hssf.record.HyperlinkRecord-">HSSFHyperlink</a></span>(<a
                                        href="../../../../../org/apache/poi/hssf/record/HyperlinkRecord.html"
                                        title="class in org.apache.poi.hssf.record">HyperlinkRecord</a>&nbsp;record)</code>
                                    <div class="block">Initialize the hyperlink by a <code>HyperlinkRecord</code> record
                                    </div>
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>protected </code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFHyperlink.html#HSSFHyperlink-org.apache.poi.common.usermodel.HyperlinkType-">HSSFHyperlink</a></span>(<a
                                        href="../../../../../org/apache/poi/common/usermodel/HyperlinkType.html"
                                        title="enum in org.apache.poi.common.usermodel">HyperlinkType</a>&nbsp;type)</code>
                                    <div class="block">Construct a new hyperlink

                                        This method is internal to be used only by
                                        <a href="../../../../../org/apache/poi/hssf/usermodel/HSSFCreationHelper.html#createHyperlink-org.apache.poi.common.usermodel.HyperlinkType-"><code>HSSFCreationHelper.createHyperlink(HyperlinkType)</code></a>.
                                    </div>
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a
                                    href="javascript:show(8);">Concrete Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t6" class="tableTab"><span><a
                                    href="javascript:show(32);">Deprecated Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFHyperlink.html#equals-java.lang.Object-">equals</a></span>(java.lang.Object&nbsp;other)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code>java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFHyperlink.html#getAddress--">getAddress</a></span>()</code>
                                    <div class="block">Hyperlink address.</div>
                                </td>
                            </tr>
                            <tr id="i2" class="altColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFHyperlink.html#getFirstColumn--">getFirstColumn</a></span>()</code>
                                    <div class="block">Return the column of the first cell that contains the hyperlink
                                    </div>
                                </td>
                            </tr>
                            <tr id="i3" class="rowColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFHyperlink.html#getFirstRow--">getFirstRow</a></span>()</code>
                                    <div class="block">Return the row of the first cell that contains the hyperlink
                                    </div>
                                </td>
                            </tr>
                            <tr id="i4" class="altColor">
                                <td class="colFirst"><code>java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFHyperlink.html#getLabel--">getLabel</a></span>()</code>
                                    <div class="block">Return text label for this hyperlink</div>
                                </td>
                            </tr>
                            <tr id="i5" class="rowColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFHyperlink.html#getLastColumn--">getLastColumn</a></span>()</code>
                                    <div class="block">Return the column of the last cell that contains the hyperlink
                                    </div>
                                </td>
                            </tr>
                            <tr id="i6" class="altColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFHyperlink.html#getLastRow--">getLastRow</a></span>()</code>
                                    <div class="block">Return the row of the last cell that contains the hyperlink</div>
                                </td>
                            </tr>
                            <tr id="i7" class="rowColor">
                                <td class="colFirst"><code>java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFHyperlink.html#getShortFilename--">getShortFilename</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i8" class="altColor">
                                <td class="colFirst"><code>java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFHyperlink.html#getTextMark--">getTextMark</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i9" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/common/usermodel/HyperlinkType.html"
                                        title="enum in org.apache.poi.common.usermodel">HyperlinkType</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFHyperlink.html#getType--">getType</a></span>()</code>
                                    <div class="block">Return the type of this hyperlink</div>
                                </td>
                            </tr>
                            <tr id="i10" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/common/usermodel/HyperlinkType.html"
                                        title="enum in org.apache.poi.common.usermodel">HyperlinkType</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFHyperlink.html#getTypeEnum--">getTypeEnum</a></span>()</code>
                                    <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;
                                        <div class="block"><span class="deprecationComment">use <code>getType()</code> instead</span>
                                        </div>
                                    </div>
                                </td>
                            </tr>
                            <tr id="i11" class="rowColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFHyperlink.html#hashCode--">hashCode</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i12" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFHyperlink.html#setAddress-java.lang.String-">setAddress</a></span>(java.lang.String&nbsp;address)</code>
                                    <div class="block">Hyperlink address.</div>
                                </td>
                            </tr>
                            <tr id="i13" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFHyperlink.html#setFirstColumn-int-">setFirstColumn</a></span>(int&nbsp;col)</code>
                                    <div class="block">Set the column of the first cell that contains the hyperlink
                                    </div>
                                </td>
                            </tr>
                            <tr id="i14" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFHyperlink.html#setFirstRow-int-">setFirstRow</a></span>(int&nbsp;row)</code>
                                    <div class="block">Set the row of the first cell that contains the hyperlink</div>
                                </td>
                            </tr>
                            <tr id="i15" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFHyperlink.html#setLabel-java.lang.String-">setLabel</a></span>(java.lang.String&nbsp;label)</code>
                                    <div class="block">Sets text label for this hyperlink</div>
                                </td>
                            </tr>
                            <tr id="i16" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFHyperlink.html#setLastColumn-int-">setLastColumn</a></span>(int&nbsp;col)</code>
                                    <div class="block">Set the column of the last cell that contains the hyperlink</div>
                                </td>
                            </tr>
                            <tr id="i17" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFHyperlink.html#setLastRow-int-">setLastRow</a></span>(int&nbsp;row)</code>
                                    <div class="block">Set the row of the last cell that contains the hyperlink</div>
                                </td>
                            </tr>
                            <tr id="i18" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFHyperlink.html#setShortFilename-java.lang.String-">setShortFilename</a></span>(java.lang.String&nbsp;shortFilename)</code>
                                    <div class="block">Convenience method equivalent to <a
                                            href="../../../../../org/apache/poi/hssf/usermodel/HSSFHyperlink.html#setAddress-java.lang.String-"><code>setAddress(String)</code></a>
                                    </div>
                                </td>
                            </tr>
                            <tr id="i19" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFHyperlink.html#setTextMark-java.lang.String-">setTextMark</a></span>(java.lang.String&nbsp;textMark)</code>
                                    <div class="block">Convenience method equivalent to <a
                                            href="../../../../../org/apache/poi/hssf/usermodel/HSSFHyperlink.html#setAddress-java.lang.String-"><code>setAddress(String)</code></a>
                                    </div>
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Object</h3>
                                <code>clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait</code>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ============ FIELD DETAIL =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="field.detail">
                        <!--   -->
                    </a>
                        <h3>Field Detail</h3>
                        <a name="record">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>record</h4>
                                <pre>protected final&nbsp;<a
                                        href="../../../../../org/apache/poi/hssf/record/HyperlinkRecord.html"
                                        title="class in org.apache.poi.hssf.record">HyperlinkRecord</a> record</pre>
                                <div class="block">Low-level record object that stores the actual hyperlink data</div>
                            </li>
                        </ul>
                        <a name="link_type">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>link_type</h4>
                                <pre>protected final&nbsp;<a
                                        href="../../../../../org/apache/poi/common/usermodel/HyperlinkType.html"
                                        title="enum in org.apache.poi.common.usermodel">HyperlinkType</a> link_type</pre>
                                <div class="block">If we create a new hyperlink remember its type</div>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ========= CONSTRUCTOR DETAIL ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.detail">
                        <!--   -->
                    </a>
                        <h3>Constructor Detail</h3>
                        <a name="HSSFHyperlink-org.apache.poi.common.usermodel.HyperlinkType-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>HSSFHyperlink</h4>
                                <pre><a href="../../../../../org/apache/poi/util/Internal.html"
                                        title="annotation in org.apache.poi.util">@Internal</a>(<a
                                        href="../../../../../org/apache/poi/util/Internal.html#since--">since</a>="3.15 beta 3")
protected&nbsp;HSSFHyperlink(<a href="../../../../../org/apache/poi/common/usermodel/HyperlinkType.html"
                                title="enum in org.apache.poi.common.usermodel">HyperlinkType</a>&nbsp;type)</pre>
                                <div class="block">Construct a new hyperlink

                                    This method is internal to be used only by
                                    <a href="../../../../../org/apache/poi/hssf/usermodel/HSSFCreationHelper.html#createHyperlink-org.apache.poi.common.usermodel.HyperlinkType-"><code>HSSFCreationHelper.createHyperlink(HyperlinkType)</code></a>.
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>type</code> - the type of hyperlink to create</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="HSSFHyperlink-org.apache.poi.hssf.record.HyperlinkRecord-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>HSSFHyperlink</h4>
                                <pre>protected&nbsp;HSSFHyperlink(<a
                                        href="../../../../../org/apache/poi/hssf/record/HyperlinkRecord.html"
                                        title="class in org.apache.poi.hssf.record">HyperlinkRecord</a>&nbsp;record)</pre>
                                <div class="block">Initialize the hyperlink by a <code>HyperlinkRecord</code> record
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>record</code> -</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="HSSFHyperlink-org.apache.poi.ss.usermodel.Hyperlink-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>HSSFHyperlink</h4>
                                <pre>protected&nbsp;HSSFHyperlink(<a
                                        href="../../../../../org/apache/poi/ss/usermodel/Hyperlink.html"
                                        title="interface in org.apache.poi.ss.usermodel">Hyperlink</a>&nbsp;other)</pre>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="getFirstRow--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getFirstRow</h4>
                                <pre>public&nbsp;int&nbsp;getFirstRow()</pre>
                                <div class="block">Return the row of the first cell that contains the hyperlink</div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the 0-based row of the cell that contains the hyperlink</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setFirstRow-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setFirstRow</h4>
                                <pre>public&nbsp;void&nbsp;setFirstRow(int&nbsp;row)</pre>
                                <div class="block">Set the row of the first cell that contains the hyperlink</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>row</code> - the 0-based row of the first cell that contains the hyperlink
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getLastRow--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getLastRow</h4>
                                <pre>public&nbsp;int&nbsp;getLastRow()</pre>
                                <div class="block">Return the row of the last cell that contains the hyperlink</div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the 0-based row of the last cell that contains the hyperlink</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setLastRow-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setLastRow</h4>
                                <pre>public&nbsp;void&nbsp;setLastRow(int&nbsp;row)</pre>
                                <div class="block">Set the row of the last cell that contains the hyperlink</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>row</code> - the 0-based row of the last cell that contains the hyperlink
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getFirstColumn--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getFirstColumn</h4>
                                <pre>public&nbsp;int&nbsp;getFirstColumn()</pre>
                                <div class="block">Return the column of the first cell that contains the hyperlink</div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the 0-based column of the first cell that contains the hyperlink</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setFirstColumn-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setFirstColumn</h4>
                                <pre>public&nbsp;void&nbsp;setFirstColumn(int&nbsp;col)</pre>
                                <div class="block">Set the column of the first cell that contains the hyperlink</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>col</code> - the 0-based column of the first cell that contains the
                                        hyperlink
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getLastColumn--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getLastColumn</h4>
                                <pre>public&nbsp;int&nbsp;getLastColumn()</pre>
                                <div class="block">Return the column of the last cell that contains the hyperlink</div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the 0-based column of the last cell that contains the hyperlink</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setLastColumn-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setLastColumn</h4>
                                <pre>public&nbsp;void&nbsp;setLastColumn(int&nbsp;col)</pre>
                                <div class="block">Set the column of the last cell that contains the hyperlink</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>col</code> - the 0-based column of the last cell that contains the
                                        hyperlink
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getAddress--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getAddress</h4>
                                <pre>public&nbsp;java.lang.String&nbsp;getAddress()</pre>
                                <div class="block">Hyperlink address. Depending on the hyperlink type it can be URL,
                                    e-mail, path to a file, etc.
                                </div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/common/usermodel/Hyperlink.html#getAddress--">getAddress</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/common/usermodel/Hyperlink.html"
                                                title="interface in org.apache.poi.common.usermodel">Hyperlink</a></code>
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the address of this hyperlink</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getTextMark--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getTextMark</h4>
                                <pre>public&nbsp;java.lang.String&nbsp;getTextMark()</pre>
                            </li>
                        </ul>
                        <a name="setTextMark-java.lang.String-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setTextMark</h4>
                                <pre>public&nbsp;void&nbsp;setTextMark(java.lang.String&nbsp;textMark)</pre>
                                <div class="block">Convenience method equivalent to <a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFHyperlink.html#setAddress-java.lang.String-"><code>setAddress(String)</code></a>
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>textMark</code> - the place in worksheet this hyperlink refers to, e.g.
                                        'Target Sheet'!A1'
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getShortFilename--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getShortFilename</h4>
                                <pre>public&nbsp;java.lang.String&nbsp;getShortFilename()</pre>
                            </li>
                        </ul>
                        <a name="setShortFilename-java.lang.String-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setShortFilename</h4>
                                <pre>public&nbsp;void&nbsp;setShortFilename(java.lang.String&nbsp;shortFilename)</pre>
                                <div class="block">Convenience method equivalent to <a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFHyperlink.html#setAddress-java.lang.String-"><code>setAddress(String)</code></a>
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>shortFilename</code> - the path to a file this hyperlink points to, e.g.
                                        'readme.txt'
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setAddress-java.lang.String-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setAddress</h4>
                                <pre>public&nbsp;void&nbsp;setAddress(java.lang.String&nbsp;address)</pre>
                                <div class="block">Hyperlink address. Depending on the hyperlink type it can be URL,
                                    e-mail, path to a file, etc.
                                </div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/common/usermodel/Hyperlink.html#setAddress-java.lang.String-">setAddress</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/common/usermodel/Hyperlink.html"
                                                title="interface in org.apache.poi.common.usermodel">Hyperlink</a></code>
                                    </dd>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>address</code> - the address of this hyperlink</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getLabel--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getLabel</h4>
                                <pre>public&nbsp;java.lang.String&nbsp;getLabel()</pre>
                                <div class="block">Return text label for this hyperlink</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/common/usermodel/Hyperlink.html#getLabel--">getLabel</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/common/usermodel/Hyperlink.html"
                                                title="interface in org.apache.poi.common.usermodel">Hyperlink</a></code>
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>text to display</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setLabel-java.lang.String-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setLabel</h4>
                                <pre>public&nbsp;void&nbsp;setLabel(java.lang.String&nbsp;label)</pre>
                                <div class="block">Sets text label for this hyperlink</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/common/usermodel/Hyperlink.html#setLabel-java.lang.String-">setLabel</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/common/usermodel/Hyperlink.html"
                                                title="interface in org.apache.poi.common.usermodel">Hyperlink</a></code>
                                    </dd>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>label</code> - text label for this hyperlink</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getType--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getType</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../org/apache/poi/common/usermodel/HyperlinkType.html"
                                        title="enum in org.apache.poi.common.usermodel">HyperlinkType</a>&nbsp;getType()</pre>
                                <div class="block">Return the type of this hyperlink</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/common/usermodel/Hyperlink.html#getType--">getType</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/common/usermodel/Hyperlink.html"
                                                title="interface in org.apache.poi.common.usermodel">Hyperlink</a></code>
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the type of this hyperlink</dd>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../org/apache/poi/common/usermodel/HyperlinkType.html#forInt-int-"><code>HyperlinkType.forInt(int)</code></a>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getTypeEnum--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getTypeEnum</h4>
                                <pre>@Deprecated
 <a href="../../../../../org/apache/poi/util/Removal.html" title="annotation in org.apache.poi.util">@Removal</a>(<a
                                            href="../../../../../org/apache/poi/util/Removal.html#version--">version</a>="4.2")
public&nbsp;<a href="../../../../../org/apache/poi/common/usermodel/HyperlinkType.html"
               title="enum in org.apache.poi.common.usermodel">HyperlinkType</a>&nbsp;getTypeEnum()</pre>
                                <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;<span
                                        class="deprecationComment">use <code>getType()</code> instead</span></div>
                                <div class="block">Return the type of this hyperlink</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/common/usermodel/Hyperlink.html#getTypeEnum--">getTypeEnum</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/common/usermodel/Hyperlink.html"
                                                title="interface in org.apache.poi.common.usermodel">Hyperlink</a></code>
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the type of this hyperlink</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="equals-java.lang.Object-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>equals</h4>
                                <pre>public&nbsp;boolean&nbsp;equals(java.lang.Object&nbsp;other)</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
                                    <dd><code>equals</code>&nbsp;in class&nbsp;<code>java.lang.Object</code></dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>whether the objects have the same HyperlinkRecord</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="hashCode--">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>hashCode</h4>
                                <pre>public&nbsp;int&nbsp;hashCode()</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
                                    <dd><code>hashCode</code>&nbsp;in class&nbsp;<code>java.lang.Object</code></dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/HSSFHyperlink.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/hssf/usermodel/HSSFHeader.html"
               title="class in org.apache.poi.hssf.usermodel"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/hssf/usermodel/HSSFIconMultiStateFormatting.html"
               title="class in org.apache.poi.hssf.usermodel"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/hssf/usermodel/HSSFHyperlink.html"
               target="_top">Frames</a></li>
        <li><a href="HSSFHyperlink.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
